Bug 536843 - libudev/libgudev1 are LGPLv2+, not GPLv2
Summary: libudev/libgudev1 are LGPLv2+, not GPLv2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-11 15:22 UTC by Nils Philippsen
Modified: 2010-03-25 22:39 UTC (History)
1 user (show)

Fixed In Version: udev-151-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-25 22:35:47 UTC
Type: ---


Attachments (Terms of Use)

Description Nils Philippsen 2009-11-11 15:22:55 UTC
Description of problem:

As can be seen in their respective source files, both libs (libudev & libgudev1) are "LGPL v2.1 or later" and "LGPL v2 or later" respectively (-> "LGPLv2+" RPM-wise). This should be fixed in the respective RPM packages so people are clear that they can use it in e.g. "GPL v2 or later" licensed code.

Version-Release number of selected component (if applicable):
libudev-145-12.fc12.x86_64
libudev-devel-145-12.fc12.x86_64
libgudev1-145-12.fc12.x86_64
libgudev1-devel-145-12.fc12.x86_64

Additional info:
The libgudev license blurb is a bit unclear, too (IMO and IANAL):

[...]
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
[...]

AFAIK, it's either "GNU Library General Public License ... version 2 ..." or "GNU Lesser General Public License ... version 2.1 ..." -- the license was called "GNU Library [GPL]" until version 2 and "GNU Lesser [GPL]" from version 2.1 on. This may seem like nitpicking -- both license versions seem to mean essentially the same -- but better safe than sorry ;-).

While this is fixed, the source code and packages could be changed to ship the respective license text(s) as well (currently only the GPLv2 is shipped).

Comment 1 Fedora Update System 2010-01-26 12:57:55 UTC
udev-145-15.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-15.fc12

Comment 2 Fedora Update System 2010-01-28 00:55:55 UTC
udev-145-15.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1138

Comment 3 Fedora Update System 2010-02-12 04:46:18 UTC
udev-145-15.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Nils Philippsen 2010-02-12 10:16:44 UTC
Hmm, now libudev and libgudev1 are labeled as "LGPLv2+" in the RPM, but ship GPLv2 in /usr/share/doc/... Reopening.

Comment 5 Fedora Update System 2010-03-19 11:15:07 UTC
udev-145-16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/udev-145-16.fc12

Comment 6 Fedora Update System 2010-03-23 10:26:39 UTC
udev-151-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/udev-151-7.fc13

Comment 7 Fedora Update System 2010-03-23 23:32:59 UTC
udev-151-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-151-7.fc13

Comment 8 Fedora Update System 2010-03-23 23:39:26 UTC
udev-145-19.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udev'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/udev-145-19.fc12

Comment 9 Fedora Update System 2010-03-25 22:34:50 UTC
udev-145-19.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-25 22:39:16 UTC
udev-151-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.